$(function () {
    if ($("div[class='hide']").size() == "20") {
        $("#picItemMsgBox").show();
    } else {
        $("#picItemMsgBox").hide();
    }
    $("#picItemAddBtn").attr("href", $("div[class='hide']").size());

    //显示参数项
    $("#picItemAddBtn").click(function () {
        var $object = $(this);
        $object.attr("href", $("div[class='hide']").size());
        $("div[rel='picDivList']").each(function () {
            if ($(this).attr("class") == "hide") {
                $(this).attr("class", "");
                return false;
            }
        });
        $("#picItemMsgBox").hide();
        return false;
    });
    //提交判断
    $("form").submit(function () {
        $("input[type='text'],input[type='password'],textarea").trigger("blur");
        $("select").trigger("change");

        ///新增方法填写在此///

        /////

        if ($("form span").hasClass("ico-error")) {
            $("input:submit").attr("disabled", false);
            $("input:submit").next("span").attr("class", "point ico-error R");
            $("input:submit").next("span").text("请按照提示正确操作，检查各项填写");
            setInterval(delSubmitBtnMsg, 3000);
            return false;
        } else {
            $("input:submit").attr("disabled", true);
            $("input:submit").next("span").attr("class", "Q");
            $("input:submit").next("span").html("<img src=\"Images/Loading.gif\" align=\"middle\" /> 正在保存…");
        }
    });
});